## org.firebirdsql.logging
Class Logger

    java.lang.Object
      org.firebirdsql.logging.Logger

Direct Known Subclasses:
  ConsoleLogger, Log4jLogger, NullLogger

    public abstract class Logger

extends Object

Describe class `Logger` here.

Version:
  1.0
Author:
  David Jencks, Blas Rodriguez Somoza

Constructor Summary
`Logger()`

Method Summary
`abstract void` `debug(Object message)`
`abstract void` `debug(Object message, Throwable t)`
`abstract void` `error(Object message)`
`abstract void` `error(Object message, Throwable t)`
`abstract void` `fatal(Object message)`
`abstract void` `fatal(Object message, Throwable t)`
`abstract void` `info(Object message)`
`abstract void` `info(Object message, Throwable t)`
`abstract boolean` `isDebugEnabled()`
`abstract boolean` `isErrorEnabled()`
`abstract boolean` `isFatalEnabled()`
`abstract boolean` `isInfoEnabled()`
`abstract boolean` `isTraceEnabled()`
`abstract boolean` `isWarnEnabled()`
`abstract void` `trace(Object message)`
`abstract void` `trace(Object message, Throwable t)`
`abstract void` `warn(Object message)`
`abstract void` `warn(Object message, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    public Logger()

Method Detail

### isDebugEnabled

    public abstract boolean isDebugEnabled()

### debug

    public abstract void debug(Object message)

### debug

    public abstract void debug(Object message,
                               Throwable t)

### isTraceEnabled

    public abstract boolean isTraceEnabled()

### trace

    public abstract void trace(Object message)

### trace

    public abstract void trace(Object message,
                               Throwable t)

### isInfoEnabled

    public abstract boolean isInfoEnabled()

### info

    public abstract void info(Object message)

### info

    public abstract void info(Object message,
                              Throwable t)

### isWarnEnabled

    public abstract boolean isWarnEnabled()

### warn

    public abstract void warn(Object message)

### warn

    public abstract void warn(Object message,
                              Throwable t)

### isErrorEnabled

    public abstract boolean isErrorEnabled()

### error

    public abstract void error(Object message)

### error

    public abstract void error(Object message,
                               Throwable t)

### isFatalEnabled

    public abstract boolean isFatalEnabled()

### fatal

    public abstract void fatal(Object message)

### fatal

    public abstract void fatal(Object message,
                               Throwable t)

Copyright © 2001-2010. All Rights Reserved.